[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.Notification

Performs action when a component is added to or removed from the class instance at run-time.

## Declaration

Source position: extctrls.pp line 1444

`protected procedure TCustomTrayIcon.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is an overridden procedure used to perform actions when a component is added or removed at run-time. Notification calls the inherited method, and ensures that the PopUpMenu for the tray icon is set to Nil when the component is removed.

## See also

TComponent